<div nz-row [nzGutter]="[20, 20]" style="align-items: center">
  <div nz-col nzXs="24" nzLg="4" class="brief__des--items brief__des--items--avatar">
    <nz-spin nzSimple [nzIndicator]="indicatorTemplate">
      <ng-template #indicatorTemplate>
        <figure class="mb__figure figure__avt">
          <em *ngIf="avtIsLoading" class="icon__loading--avt" nz-icon nzType="loading"></em>
          <img *ngIf="!avtIsLoading" src="{{avtBase64}}" alt="">
          <nz-upload [nzBeforeUpload]="beforeUpload" [nzLimit]="1" [nzShowUploadList]="false" [nzCustomRequest]="handleUpload" nzName="fileAvatar" class="avatar__change" nzAccept="image/png,image/jpeg">
            <mb-button class="icon__upload--avt" mbButtonType="ONLY_ICON" mbButtonIconType="AWESOME"
                       mbPrefixIcon="far fa-pencil-alt"></mb-button>
          </nz-upload>
          <div class="avatar__change avatar__change--delete">
            <mb-button nz-popconfirm nzPopconfirmTitle="{{'staffManager.avatar.confirmDelete' | translate}}"
                       nzCancelText="{{'staffManager.table.action.cancel' | translate}}"
                       nzOkType="primary"
                       nzOkText="{{'staffManager.table.action.yes' | translate}}"
                       (nzOnConfirm)="deleteAvt()"
                       nzPopconfirmPlacement="top" class="icon__upload--avt" mbButtonType="ONLY_ICON" mbButtonIconType="AWESOME"
                       mbPrefixIcon="fal fa-trash-alt"></mb-button>
          </div>
          <div *ngIf="showTmp" class="avatar__change avatar__change--save">
            <mb-button class="icon__upload--avt" mbButtonType="ONLY_ICON" mbButtonIconType="AWESOME" (click)="saveAvt()"
                       mbPrefixIcon="fas fa-save"></mb-button>
          </div>
        </figure>
      </ng-template>
    </nz-spin>
  </div>
  <div nz-col nzXs="24" nzLg="20" class="brief__des--items brief__des--items--right">
    <div nz-row [nzGutter]="[30, 30]" style="padding-bottom: 16px">
      <div nz-col nzXs="24" nzLg="8" class="brief__des--item">
        <mb-text-label mbLabelText="{{'staffManager.label.staffCode' | translate}}"
                       mbLabelValue="{{personalInfo?.employeeCode}}"></mb-text-label>
      </div>
      <div nz-col nzXs="24" nzLg="8" class="brief__des--item">
        <mb-text-label mbLabelText="{{'staffManager.label.fullName' | translate}}"
                       mbLabelValue="{{personalInfo?.fullName}}"></mb-text-label>
      </div>
      <div nz-col nzXs="24" nzLg="8" class="brief__des--item">
        <mb-text-label mbLabelText="{{'staffManager.label.email' | translate}}"
                       mbLabelValue="{{personalInfo?.email}}"></mb-text-label>
      </div>
    </div>
    <div nz-menu-divider class="staffManager__staffInfo--divider"></div>
    <div nz-row [nzGutter]="[30, 30]" style="padding-top: 13px">
      <div nz-col nzXs="24" nzLg="8" class="brief__des--item">
        <mb-text-label mbLabelText="{{'staffManager.label.joinCompanyDate' | translate}}"
                       mbLabelValue="{{personalInfo?.joinCompanyDate}}"></mb-text-label>
      </div>
      <div nz-col nzXs="24" nzLg="8" class="brief__des--item">
        <mb-text-label mbLabelText="{{'staffManager.table.title' | translate}}"
                       mbLabelValue="{{personalInfo?.jobName +  ' (' + personalInfo?.positionLevel + ')'}}" *ngIf="personalInfo?.positionLevel"></mb-text-label>
        <mb-text-label mbLabelText="{{'staffManager.table.title' | translate}}" *ngIf="!personalInfo?.positionLevel"
                       mbLabelValue="{{personalInfo?.jobName}}"></mb-text-label>
      </div>
      <div nz-col nzXs="24" nzLg="8" class="brief__des--item">
        <mb-text-label mbLabelText="{{'staffManager.table.unit' | translate}}"
                       mbLabelValue="{{personalInfo?.orgName}}"></mb-text-label>
      </div>
    </div>
  </div>
</div>
